Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class ContractBalance

java.lang.Object
ru.bitel.bgbilling.kernel.contract.balance.common.bean.ContractBalance

public class ContractBalance extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractBalance()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAccounts()`
  `BigDecimal`
  `getCharges()`
  `BigDecimal`
  `getIncomingSaldo()`
  `int`
  `getMonth()`
  1-Январь..12-Декабрь
  `BigDecimal`
  `getPayments()`
  `BigDecimal`
  `getReserve()`
  `long`
  `getTimestamp()`
  `int`
  `getYear()`
  `void`
  `setAccounts(BigDecimal accounts)`
  `void`
  `setCharges(BigDecimal charges)`
  `void`
  `setIncomingSaldo(BigDecimal incomingSaldo)`
  `void`
  `setMonth(int month)`
  1-Январь..12-Декабрь
  `void`
  `setPayments(BigDecimal payments)`
  `void`
  `setReserve(BigDecimal reserve)`
  `void`
  `setTimestamp(long timestamp)`
  `void`
  `setYear(int year)`
  `BigDecimal`
  `toBalance()`
  `BigDecimal`
  `toBalanceWithoutReserves()`
  `BigDecimal`
  `toSaldo()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractBalance

    public ContractBalance()

- ## Method Details

  - ### getYear

    public int getYear()

  - ### setYear

    public void setYear(int year)

  - ### getMonth

    public int getMonth()
    1-Январь..12-Декабрь

  - ### setMonth

    public void setMonth(int month)
    1-Январь..12-Декабрь

  - ### getIncomingSaldo

    public BigDecimal getIncomingSaldo()

  - ### setIncomingSaldo

    public void setIncomingSaldo(BigDecimal incomingSaldo)

  - ### getAccounts

    public BigDecimal getAccounts()

  - ### setAccounts

    public void setAccounts(BigDecimal accounts)

  - ### getPayments

    public BigDecimal getPayments()

  - ### setPayments

    public void setPayments(BigDecimal payments)

  - ### getCharges

    public BigDecimal getCharges()

  - ### setCharges

    public void setCharges(BigDecimal charges)

  - ### getReserve

    public BigDecimal getReserve()

  - ### setReserve

    public void setReserve(BigDecimal reserve)

  - ### getTimestamp

    public long getTimestamp()

  - ### setTimestamp

    public void setTimestamp(long timestamp)

  - ### toSaldo

    public BigDecimal toSaldo()

  - ### toBalance

    public BigDecimal toBalance()

  - ### toBalanceWithoutReserves

    public BigDecimal toBalanceWithoutReserves()
    Returns:
      баланс без учета резервов.